svn commit: r244784 - user/uqs/git_conv
Ulrich Spoerlein
uqs at FreeBSD.org
Fri Dec 28 21:20:33 UTC 2012
Author: uqs
Date: Fri Dec 28 21:20:32 2012
New Revision: 244784
URL: http://svnweb.freebsd.org/changeset/base/244784
Log:
Prep for the repo re-roll by using freebsd-base as the new name (which matches
the naming scheme better anyway).
This is not yet pushed to github (obviously). Also add a kludge for the ".git"
problem, that we need until we can really re-roll the repo, deterministically.
Added:
user/uqs/git_conv/freebsd-base.rules
- copied, changed from r244783, user/uqs/git_conv/freebsd.rules
Modified:
user/uqs/git_conv/git_conv
Copied and modified: user/uqs/git_conv/freebsd-base.rules (from r244783, user/uqs/git_conv/freebsd.rules)
==============================================================================
--- user/uqs/git_conv/freebsd.rules Fri Dec 28 21:17:01 2012 (r244783, copy source)
+++ user/uqs/git_conv/freebsd-base.rules Fri Dec 28 21:20:32 2012 (r244784)
@@ -1,5 +1,5 @@
# vi:ft=perl:
-create repository freebsd.git
+create repository freebsd-base.git
end repository
# ignore this stuff
@@ -29,50 +29,50 @@ match /svnadmin/.*
end match
match /head/
- repository freebsd.git
+ repository freebsd-base.git
branch master
end match
match /(cvs2svn)/([^/]+)/([^/]+)/
- repository freebsd.git
+ repository freebsd-base.git
branch \1/\2/\3
end match
match /(stable|releng|release)/([0-9.]+)/
- repository freebsd.git
+ repository freebsd-base.git
branch \1/\2
end match
match /(releng)/ALPHA_2_0/
- repository freebsd.git
+ repository freebsd-base.git
branch \1/2.0a
end match
match /(releng)/BETA_2_0/
- repository freebsd.git
+ repository freebsd-base.git
branch \1/2.0b
end match
# special nesting for these
match /(projects)/(graid|ofed)/([^/]+)/
- repository freebsd.git
+ repository freebsd-base.git
branch \1/\2/\3
end match
match /(projects)/([^/]+)/
- repository freebsd.git
+ repository freebsd-base.git
branch \1/\2
end match
# /user/piso was created wrong
match /(user)/(piso)/
- repository freebsd.git
+ repository freebsd-base.git
branch \1/\2/ipfw_old
min revision 186541
max revision 190858
end match
match /(user)/(piso)/([^/]+)/
- repository freebsd.git
+ repository freebsd-base.git
branch \1/\2/\3
min revision 190859
end match
@@ -95,7 +95,7 @@ end match
# fixup trailing dot
match /vendor/(clang|llvm)/(clang|llvm)-(r73070)\./
- repository freebsd.git
+ repository freebsd-base.git
branch vendor/\1/\2-\3
end match
@@ -105,13 +105,13 @@ end match
# unknown vendor is one level short
match /(vendor)/(unknown)/
- repository freebsd.git
+ repository freebsd-base.git
branch \1/\2
end match
# XXX drop the different vendor-* prefixes?
match /(user|vendor|vendor-sys|vendor-cddl|vendor-crypto)/([^/]+)/([^/]+)/
- repository freebsd.git
+ repository freebsd-base.git
branch \1/\2/\3
end match
Modified: user/uqs/git_conv/git_conv
==============================================================================
--- user/uqs/git_conv/git_conv Fri Dec 28 21:17:01 2012 (r244783)
+++ user/uqs/git_conv/git_conv Fri Dec 28 21:20:32 2012 (r244784)
@@ -63,9 +63,16 @@ svn2git()
exit 1
fi
+ if [ -z "$dest" ]; then
+ return
+ fi
+
echo "Pushing $target to $dest"
cd $target && for d in $dest; do
- git push $d || { echo "Error in pushing to $dest" >&2; exit 1; }
+ # XXX kludge around this till we can re-gen the whole thing
+ git update-ref -d refs/heads/user/uqs/git_conv >/dev/null 2>&1
+ # XXX freebsd-ports often needs a second try
+ git push $d || git push $d || { echo "Error in pushing to $dest" >&2; exit 1; }
done
}
@@ -84,6 +91,10 @@ gitsvn()
exit 1
fi
+ if [ -z "$dest" ]; then
+ return
+ fi
+
echo "Pushing $target to $dest"
for d in $dest; do
git push $d || { echo "Error in pushing to $dest" >&2; exit 1; }
@@ -95,5 +106,6 @@ gitsvn doc-head.git github
gitsvn ports-head.git github
svn2git $RULES_DIR/freebsd.rules ${SRC_REPO} github
+svn2git $RULES_DIR/freebsd-base.rules ${SRC_REPO} #github
svn2git $RULES_DIR/freebsd-doc.rules ${DOC_REPO} github
svn2git $RULES_DIR/freebsd-ports.rules ${PORTS_REPO} github
More information about the svn-src-user
mailing list